Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorQuentin Le Menez2017-05-31 11:24:41 -0400
committerQuentin Le Menez2017-05-31 13:05:27 -0400
commit735a84b375cb02b7c58c9a6540d4d070d1728822 (patch)
treee27a5d617e99dcccea8c5bc53cba816bf825b0e8 /plugins/developer
parentec71062c380fc4e3a358d7798527c8d4d08d1ec4 (diff)
downloadorg.eclipse.papyrus-735a84b375cb02b7c58c9a6540d4d070d1728822.tar.gz
org.eclipse.papyrus-735a84b375cb02b7c58c9a6540d4d070d1728822.tar.xz
org.eclipse.papyrus-735a84b375cb02b7c58c9a6540d4d070d1728822.zip
[releng] [oxygen] Update API baseline post RC2
Change-Id: I2cd269e8d84faac48f09c4b369fded9c6513fd29 Signed-off-by: Quentin Le Menez <quentin.lemenez@cea.fr>
Diffstat (limited to 'plugins/developer')
-rwxr-xr-xplugins/developer/org.eclipse.papyrus.releng.dev.release/release.digestbin2162 -> 2243 bytes
-rwxr-xr-xplugins/developer/org.eclipse.papyrus.releng.dev.release/release.xml9
-rwxr-xr-xplugins/developer/org.eclipse.papyrus.releng.main.release/release.digestbin29670 -> 31333 bytes
-rwxr-xr-xplugins/developer/org.eclipse.papyrus.releng.main.release/release.digest.bak4bin29666 -> 0 bytes
-rwxr-xr-xplugins/developer/org.eclipse.papyrus.releng.main.release/release.xml365
5 files changed, 215 insertions, 159 deletions
diff --git a/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.digest b/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.digest
index 9057851654c..1475a1b9ce0 100755
--- a/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.digest
+++ b/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.digest
Binary files differ
diff --git a/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.xml b/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.xml
index 530e9953270..812e928a3c2 100755
--- a/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.xml
+++ b/plugins/developer/org.eclipse.papyrus.releng.dev.release/release.xml
@@ -2,8 +2,10 @@
<release>
<feature name="org.eclipse.papyrus.dev.feature" version="3.0.0">
<feature name="org.eclipse.papyrus.junit.feature" version="2.0.0"/>
+ <feature name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools.feature" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.codegen" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.def" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.dev.ui" version="0.0.1"/>
<plugin name="org.eclipse.papyrus.dev.view.services.edit.request" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.gmf.editpoliciesstates" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.gmf.editpartview" version="1.2.0"/>
@@ -14,7 +16,6 @@
<plugin name="org.eclipse.papyrus.dev.project.management" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.commandstack" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.dev.assistants.codegen" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.developer.mde" version="1.2.0"/>
<plugin name="org.eclipse.cbi.p2repo.aggregator" version="1.0.100"/>
<plugin name="org.eclipse.cbi.p2repo.aggregator.legacy" version="1.0.0"/>
<plugin name="org.eclipse.cbi.p2repo.util" version="1.0.0"/>
@@ -35,6 +36,9 @@
<plugin name="org.eclipse.papyrus.tests.framework.annotations" version="1.2.0"/>
<plugin name="org.eclipse.upr.utp" version="0.9.0"/>
</feature>
+ <feature name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools.feature" version="1.0.0">
+ <plugin name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools" version="1.0.0"/>
+ </feature>
<plugin name="org.eclipse.cbi.p2repo.aggregator" version="1.0.100"/>
<plugin name="org.eclipse.cbi.p2repo.aggregator.legacy" version="1.0.0"/>
<plugin name="org.eclipse.cbi.p2repo.cli" version="1.0.0"/>
@@ -48,6 +52,7 @@
<plugin name="org.eclipse.papyrus.dev.tests.framework" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.dev.tests.framework.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.dev.types" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.dev.ui" version="0.0.1"/>
<plugin name="org.eclipse.papyrus.dev.view.services.edit.request" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.gmf.editpartview" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.gmf.editpoliciesstates" version="1.2.0"/>
@@ -64,6 +69,6 @@
<plugin name="org.eclipse.papyrus.tests.framework.annotations" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.tests.framework.edit" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.tests.framework.editor" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.developer.mde" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools" version="1.0.0"/>
<plugin name="org.eclipse.upr.utp" version="0.9.0"/>
</release>
diff --git a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest b/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest
index cd799f2adfa..c8ca88edb85 100755
--- a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest
+++ b/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest
Binary files differ
diff --git a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest.bak4 b/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest.bak4
deleted file mode 100755
index 07208d10e3d..00000000000
--- a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest.bak4
+++ /dev/null
Binary files differ
diff --git a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.xml b/plugins/developer/org.eclipse.papyrus.releng.main.release/release.xml
index d50d74e3111..e473ef17b06 100755
--- a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.xml
+++ b/plugins/developer/org.eclipse.papyrus.releng.main.release/release.xml
@@ -1,16 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<release>
- <feature name="org.eclipse.papyrus.doc.feature" version="1.2.0">
- <plugin name="org.eclipse.papyrus.cdo.ui.doc" version="1.2.0"/>
+ <feature name="org.eclipse.papyrus.doc.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.copypaste.ui.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.dsml.validation.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.architecture.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.common.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.css.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.internationalization.doc" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.services.controlmode.doc" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.architecture.doc" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types.doc" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.layers.documentation" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.req.reqif.doc" version="1.2.0"/>
@@ -31,22 +30,22 @@
<plugin name="org.eclipse.papyrus.emf.facet.util.emf.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.views.references.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.views.documentation.doc" version="1.0.0"/>
- <plugin name="org.eclipse.papyrus.migration.rhapsody.doc" version="0.7.0"/>
+ <plugin name="org.eclipse.papyrus.doctemplate.doc" version="0.0.1"/>
</feature>
<feature name="org.eclipse.papyrus.editor.feature" version="2.0.0">
<plugin name="org.eclipse.papyrus.editor" version="2.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.emf.facet.feature" version="3.0.0">
- <plugin name="org.eclipse.papyrus.emf.facet.common.core" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.common.sdk.core" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.common.core" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.common.sdk.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.common.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.core" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.core" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel" version="1.3.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.edit" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.sdk.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.sdk.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.ui" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.catalog" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.core" version="2.0.0"/>
@@ -54,7 +53,7 @@
<plugin name="org.eclipse.papyrus.emf.facet.efacet.editor" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.efacet.sdk.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.efacet.sdk.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java.core" version="2.0.0"/>
@@ -62,26 +61,27 @@
<plugin name="org.eclipse.papyrus.emf.facet.query.java.sdk.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.metamodel" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.query.ocl.sdk.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.query.ocl.sdk.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.emf.catalog" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.emf.core" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.util.emf.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.util.jface.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.util.emf.ui" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.util.jface.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.pde.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.swt" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.util.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.util.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets.celleditors" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets.celleditors.ecore" version="1.2.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.architecture.feature" version="1.0.0">
<plugin name="org.eclipse.papyrus.infra.architecture" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.architecture.doc" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.architecture.representation" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.architecture.representation.edit" version="1.0.0"/>
</feature>
- <feature name="org.eclipse.papyrus.infra.core.feature" version="2.0.0">
- <plugin name="org.eclipse.papyrus.infra.core" version="2.3.0"/>
+ <feature name="org.eclipse.papyrus.infra.core.feature" version="3.0.0">
+ <plugin name="org.eclipse.papyrus.infra.core" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.architecture" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.architecture.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.log" version="1.2.0"/>
@@ -89,42 +89,48 @@
<plugin name="org.eclipse.papyrus.infra.core.sasheditor.di" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sashwindows.di" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.core.pluginexplorer" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.tools" version="2.0.100"/>
+ <plugin name="org.eclipse.papyrus.infra.tools" version="3.0.0"/>
</feature>
- <feature name="org.eclipse.papyrus.infra.discovery.feature" version="2.0.0">
+ <feature name="org.eclipse.papyrus.infra.discovery.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.infra.discovery" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.discovery.ui" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.discovery.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.discovery.ui.menu" version="1.2.0"/>
</feature>
+ <feature name="org.eclipse.papyrus.infra.emf.expressions.feature" version="1.0.0">
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions.edit" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions.editor" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions.properties" version="1.0.0"/>
+ </feature>
<feature name="org.eclipse.papyrus.infra.emf.feature" version="3.0.0">
- <plugin name="org.eclipse.papyrus.infra.emf" version="2.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.emf.diagram.common" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.emf.appearance" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.diagram.common" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.appearance" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.readonly" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.types" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.types.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.gmf" version="1.2.100"/>
</feature>
<feature name="org.eclipse.papyrus.infra.feature" version="3.0.0">
- <plugin name="org.eclipse.papyrus.infra.onefile" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.onefile" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints.editor" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.hyperlink" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.psf" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.newchild" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.newchild.edit" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.sync" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild.edit" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.sync" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types.core" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types.edit" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types.rulebased" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.filters" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.filters.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.properties" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.properties.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.properties.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties.edit" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties.editor" version="2.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.gmfdiag.css.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.infra.gmfdiag.css" version="2.1.0"/>
@@ -154,9 +160,9 @@
<plugin name="org.eclipse.papyrus.infra.gmfdiag.gmfmenu.filter" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.menu" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.export" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.edit" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.editor" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.canonical" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.welcome" version="1.2.0"/>
@@ -165,6 +171,8 @@
<plugin name="org.eclipse.papyrus.infra.gmfdiag.representation.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.style" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.style.edit" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.edit" version="3.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.internationalization.feature" version="1.0.0">
<plugin name="org.eclipse.papyrus.infra.internationalization" version="1.0.0"/>
@@ -177,9 +185,9 @@
<plugin name="org.eclipse.papyrus.infra.editor.welcome.internationalization" version="1.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.nattable.feature" version="3.0.0">
- <plugin name="org.eclipse.papyrus.infra.nattable.model" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.model.edit" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.model.editor" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.model" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.model.edit" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.model.editor" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.common" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.modelexplorer" version="3.0.0"/>
@@ -189,28 +197,29 @@
<plugin name="org.eclipse.papyrus.infra.nattable.controlmode" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.properties" version="2.2.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.gmfdiag" version="1.2.0"/>
- <plugin name="org.eclipse.nebula.widgets.nattable.core" version="1.4.0"/>
+ <plugin name="org.eclipse.nebula.widgets.nattable.core" version="1.5.0"/>
<plugin name="ca.odell.glazedlists" version="1.9.0"/>
- <plugin name="org.eclipse.nebula.widgets.nattable.extension.glazedlists" version="1.4.0"/>
+ <plugin name="org.eclipse.nebula.widgets.nattable.extension.glazedlists" version="1.5.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.representation" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.representation.edit" version="1.0.0"/>
+ <plugin name="org.eclipse.nebula.cwt" version="1.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.services.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.infra.services.architecture" version="1.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.controlmode" version="1.5.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.controlmode.history" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.decoration" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.edit" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.markerlistener" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.resourceloading" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.validation" version="2.1.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.labelprovider" version="1.2.1"/>
- <plugin name="org.eclipse.papyrus.infra.services.semantic" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.viewersearch" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.controlmode" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.controlmode.history" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.decoration" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.edit" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.markerlistener" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.resourceloading" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.validation" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.labelprovider" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.semantic" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.viewersearch" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.viewlabelprovider" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.services.openelement" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.navigation" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.localizer" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.localizer" version="2.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.ui.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.infra.ui" version="2.0.0"/>
@@ -224,22 +233,22 @@
<plugin name="org.eclipse.papyrus.infra.services.edit.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.resourceloading.ui" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.infra.properties.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.editor.welcome" version="1.2.100"/>
+ <plugin name="org.eclipse.papyrus.infra.editor.welcome" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.editor.welcome.nattable" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="3.0.0"/>
</feature>
- <feature name="org.eclipse.papyrus.infra.viewpoints.feature" version="2.0.0">
- <plugin name="org.eclipse.papyrus.infra.viewpoints.policy" version="1.2.0"/>
+ <feature name="org.eclipse.papyrus.infra.viewpoints.feature" version="3.0.0">
+ <plugin name="org.eclipse.papyrus.infra.viewpoints.policy" version="2.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.widget.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.infra.widgets" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.widgets.toolbox" version="1.2.0"/>
- <plugin name="org.eclipse.nebula.widgets.richtext" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.widgets.toolbox" version="2.0.0"/>
+ <plugin name="org.eclipse.nebula.widgets.richtext" version="1.2.0"/>
</feature>
<feature name="org.eclipse.papyrus.sdk.feature" version="3.0.0">
<feature name="org.eclipse.papyrus.editor.feature" version="2.0.0"/>
- <feature name="org.eclipse.papyrus.infra.core.feature" version="2.0.0"/>
+ <feature name="org.eclipse.papyrus.infra.core.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.infra.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.infra.gmfdiag.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.infra.services.feature" version="3.0.0"/>
@@ -257,27 +266,35 @@
<feature name="org.eclipse.papyrus.infra.emf.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.uml.textedit.feature" version="2.0.0"/>
<feature name="org.eclipse.papyrus.uml.alf.feature" version="3.0.0"/>
- <feature name="org.eclipse.papyrus.infra.discovery.feature" version="2.0.0"/>
+ <feature name="org.eclipse.papyrus.infra.discovery.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.views.validation.feature" version="2.0.0"/>
- <feature name="org.eclipse.papyrus.doc.feature" version="1.2.0"/>
+ <feature name="org.eclipse.papyrus.doc.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.views.search.feature" version="2.0.0"/>
<feature name="org.eclipse.papyrus.uml.search.feature" version="2.0.0"/>
<feature name="org.eclipse.papyrus.uml.xtext.integration.feature" version="2.0.0"/>
<feature name="org.eclipse.papyrus.infra.internationalization.feature" version="1.0.0"/>
<feature name="org.eclipse.papyrus.uml.internationalization.feature" version="1.0.0"/>
+ <feature name="org.eclipse.papyrus.uml.m2m.qvto.feature" version="1.0.0"/>
<feature name="org.eclipse.papyrus.infra.nattable.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.uml.nattable.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.infra.gmfdiag.css.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.uml.diagram.css.feature" version="2.0.0"/>
<feature name="org.eclipse.papyrus.emf.facet.feature" version="3.0.0"/>
- <feature name="org.eclipse.papyrus.infra.viewpoints.feature" version="2.0.0"/>
+ <feature name="org.eclipse.papyrus.infra.viewpoints.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.uml.decoratormodel.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.uml.assistants.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.views.documentation.feature" version="1.0.0"/>
- <plugin name="com.google.guava" version="15.0.0"/>
+ <feature name="org.eclipse.papyrus.uml.architecture.feature" version="1.0.0"/>
+ <feature name="org.eclipse.papyrus.infra.architecture.feature" version="1.0.0"/>
+ <feature name="org.eclipse.papyrus.infra.emf.expressions.feature" version="1.0.0"/>
+ <feature name="org.eclipse.papyrus.uml.expressions.feature" version="1.0.0"/>
+ <plugin name="com.google.guava" version="21.0.0"/>
<plugin name="org.eclipse.papyrus.sdk" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.eclipse.project.editors" version="2.0.0"/>
</feature>
+ <feature name="org.eclipse.papyrus.sysml.architecture.feature" version="1.0.0">
+ <plugin name="org.eclipse.papyrus.sysml.architecture" version="1.0.0"/>
+ </feature>
<feature name="org.eclipse.papyrus.sysml.diagram.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.sysml.diagram.blockdefinition" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.sysml.diagram.common" version="2.0.0"/>
@@ -289,14 +306,13 @@
</feature>
<feature name="org.eclipse.papyrus.sysml.feature" version="2.0.0">
<plugin name="org.eclipse.papyrus.sysml" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.sysml.architecture" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.sysml.service.types" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.sysml.edit" version="1.2.0"/>
</feature>
- <feature name="org.eclipse.papyrus.sysml.architecture.feature" version="1.0.0">
- <plugin name="org.eclipse.papyrus.sysml.architecture" version="1.0.0"/>
- </feature>
<feature name="org.eclipse.papyrus.sysml.modelexplorer.feature" version="1.2.0">
<plugin name="org.eclipse.papyrus.sysml.modelexplorer" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.sysml.architecture" version="1.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.sysml.nattable.feature" version="2.0.0">
<plugin name="org.eclipse.papyrus.sysml.nattable" version="2.0.0"/>
@@ -310,8 +326,8 @@
<plugin name="org.eclipse.papyrus.sysml.properties" version="1.2.0"/>
</feature>
<feature name="org.eclipse.papyrus.uml.alf.feature" version="3.0.0">
- <plugin name="org.eclipse.papyrus.uml.alf.common" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.alf.common.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.alf.common" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.alf.common.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.alf" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.alf.libraries" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.alf.to.fuml" version="1.2.0"/>
@@ -334,20 +350,17 @@
</feature>
<feature name="org.eclipse.papyrus.uml.diagram.css.feature" version="2.0.0">
<plugin name="org.eclipse.papyrus.uml.diagram.css" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.css.palette" version="1.2.0"/>
</feature>
<feature name="org.eclipse.papyrus.uml.diagram.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.uml.diagram.clazz" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.common" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.common.groups" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.component" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.component" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.deployment" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.icons" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.menu" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.modelexplorer" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.navigation" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.edit" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.profile" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.statemachine" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.usecase" version="3.0.0"/>
@@ -358,27 +371,32 @@
<plugin name="org.eclipse.papyrus.uml.diagram.composite" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.dnd" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.stereotype.edition" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.interactionoverview" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols.properties" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.linklf" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.linklf" version="2.0.0"/>
+ </feature>
+ <feature name="org.eclipse.papyrus.uml.expressions.feature" version="1.0.0">
+ <plugin name="org.eclipse.papyrus.uml.expressions" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.expressions.edit" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.expressions.properties" version="1.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.uml.feature" version="3.0.0">
- <plugin name="org.eclipse.papyrus.uml.commands" version="1.2.100"/>
+ <plugin name="org.eclipse.papyrus.uml.commands" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.controlmode.profile" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.extensionpoints" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.extensionpoints" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.icons" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.import" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.perspective" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.profile" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.profile.drafter" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.drafter" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.resourceloading.profile" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.service.types" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.service.types.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.templaterepository" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.documentation.profile" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.appearance" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.appearance" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.oclconstraintevaluation" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.navigation" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.service.validation" version="2.1.0"/>
@@ -393,6 +411,10 @@
<plugin name="org.eclipse.papyrus.uml.internationalization.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.uml.internationalization.utils" version="1.0.0"/>
</feature>
+ <feature name="org.eclipse.papyrus.uml.m2m.qvto.feature" version="1.0.0">
+ <plugin name="org.eclipse.papyrus.uml.m2m.qvto.common" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.m2m.qvto.common.blackboxes" version="1.0.0"/>
+ </feature>
<feature name="org.eclipse.papyrus.uml.modelexplorer.feature" version="2.0.0">
<plugin name="org.eclipse.papyrus.uml.modelexplorer" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.modelexplorer.widgets" version="2.0.0"/>
@@ -401,13 +423,15 @@
<plugin name="org.eclipse.papyrus.uml.nattable" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic.config" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.matrix" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.properties" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.menu" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.xtext.integration" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.clazz.config" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.xtext.valuespecification" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.nattable.stereotype.display" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.nattable.richtext" version="2.0.0"/>
- <plugin name="org.eclipse.nebula.widgets.nattable.extension.nebula" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.stereotype.display" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.richtext" version="2.1.0"/>
+ <plugin name="org.eclipse.nebula.widgets.nattable.extension.nebula" version="1.1.0"/>
</feature>
<feature name="org.eclipse.papyrus.uml.properties.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.uml.properties" version="3.0.0"/>
@@ -431,15 +455,15 @@
<plugin name="org.eclipse.papyrus.uml.textedit.property.xtext.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.state.xtext" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.state.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.javaconstraint" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.port.xtext" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.port.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.port.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.utils" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.utils" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.stereotypeproperty.xtext" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.stereotypeproperty.xtext.ui" version="3.0.0"/>
</feature>
@@ -451,7 +475,7 @@
<plugin name="org.eclipse.papyrus.uml.ui" version="1.2.0"/>
</feature>
<feature name="org.eclipse.papyrus.uml.xtext.integration.feature" version="2.0.0">
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.xtext.integration.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.xtext.integration.validation" version="2.0.0"/>
</feature>
@@ -466,6 +490,7 @@
</feature>
<feature name="org.eclipse.papyrus.views.properties.feature" version="3.0.0">
<plugin name="org.eclipse.papyrus.views.properties" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.views.properties.model.xwt" version="2.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.views.references.feature" version="2.0.0">
<plugin name="org.eclipse.papyrus.views.references" version="2.0.0"/>
@@ -477,30 +502,30 @@
<plugin name="org.eclipse.papyrus.views.validation" version="2.0.0"/>
</feature>
<plugin name="ca.odell.glazedlists" version="1.9.0"/>
- <plugin name="com.google.guava" version="15.0.0"/>
- <plugin name="org.eclipse.nebula.widgets.nattable.core" version="1.4.0"/>
- <plugin name="org.eclipse.nebula.widgets.nattable.extension.glazedlists" version="1.4.0"/>
- <plugin name="org.eclipse.nebula.widgets.nattable.extension.nebula" version="1.0.0"/>
- <plugin name="org.eclipse.nebula.widgets.richtext" version="1.1.0"/>
- <plugin name="org.eclipse.papyrus.cdo.ui.doc" version="1.2.0"/>
+ <plugin name="com.google.guava" version="21.0.0"/>
+ <plugin name="org.eclipse.nebula.cwt" version="1.0.0"/>
+ <plugin name="org.eclipse.nebula.widgets.nattable.core" version="1.5.0"/>
+ <plugin name="org.eclipse.nebula.widgets.nattable.extension.glazedlists" version="1.5.0"/>
+ <plugin name="org.eclipse.nebula.widgets.nattable.extension.nebula" version="1.1.0"/>
+ <plugin name="org.eclipse.nebula.widgets.richtext" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.copypaste.ui.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.customization.palette" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.doctemplate.doc" version="0.0.1"/>
<plugin name="org.eclipse.papyrus.dsml.validation.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.eclipse.project.editors" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.editor" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.aggregate.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.common.core" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.common.sdk.core" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.common.core" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.common.sdk.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.common.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.core" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.core" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel" version="1.3.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.edit" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.sdk.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.sdk.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.ui" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.catalog" version="1.2.0"/>
@@ -510,7 +535,7 @@
<plugin name="org.eclipse.papyrus.emf.facet.efacet.editor" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.efacet.sdk.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.efacet.sdk.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java.core" version="2.0.0"/>
@@ -518,40 +543,50 @@
<plugin name="org.eclipse.papyrus.emf.facet.query.java.sdk.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.metamodel" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.query.ocl.sdk.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.query.ocl.sdk.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.emf.catalog" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.emf.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.emf.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.util.emf.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.util.jface.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.util.emf.ui" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.util.jface.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.pde.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.util.swt" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.util.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.util.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets.celleditors" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets.celleditors.ecore" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.extensionpoints.editors" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.architecture" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.architecture.doc" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.architecture.representation" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.architecture.representation.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints.editor" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.core" version="2.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.core" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.core.architecture" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.core.architecture.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.log" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.core.pluginexplorer" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sasheditor" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sasheditor.di" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sashwindows.di" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.discovery" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.discovery.ui" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.discovery.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.discovery.ui.menu" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.editor.welcome" version="1.2.100"/>
+ <plugin name="org.eclipse.papyrus.infra.editor.welcome" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.editor.welcome.internationalization" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.editor.welcome.nattable" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.emf" version="2.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.emf.appearance" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.emf.diagram.common" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.appearance" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.diagram.common" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions.edit" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions.editor" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.expressions.properties" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.gmf" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.infra.emf.nattable" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.readonly" version="3.0.0"/>
@@ -560,9 +595,9 @@
<plugin name="org.eclipse.papyrus.infra.emf.types.ui.properties" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.filters" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.filters.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.edit" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.editor" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.canonical" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.commands" version="3.0.0"/>
@@ -589,8 +624,14 @@
<plugin name="org.eclipse.papyrus.infra.gmfdiag.modelexplorer" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.navigation" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.outline" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.edit" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.preferences" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.properties" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.representation" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.representation.edit" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.style" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.style.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.tooling.runtime" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.viewersearcher" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.welcome" version="1.2.0"/>
@@ -610,44 +651,47 @@
<plugin name="org.eclipse.papyrus.infra.nattable.controlmode" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.gmfdiag" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.model" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.model.edit" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.model.editor" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.model" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.model.edit" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.model.editor" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.modelexplorer" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.properties" version="2.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.representation" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.representation.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.views.config" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.views.editor" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.newchild" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.newchild.edit" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild.edit" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.onefile" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.onefile" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.infra.onefile.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.properties" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.properties.edit" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.properties.editor" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties.edit" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties.editor" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.properties.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.psf" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.controlmode" version="1.5.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.architecture" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.controlmode" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.controlmode.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.controlmode.history" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.decoration" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.edit" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.controlmode.history" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.decoration" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.edit" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.edit.ui" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.labelprovider" version="1.2.1"/>
- <plugin name="org.eclipse.papyrus.infra.services.localizer" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.markerlistener" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.labelprovider" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.localizer" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.markerlistener" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.navigation" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.openelement" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.resourceloading" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.resourceloading" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.resourceloading.ui" version="1.2.100"/>
- <plugin name="org.eclipse.papyrus.infra.services.semantic" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.validation" version="2.1.0"/>
- <plugin name="org.eclipse.papyrus.infra.services.viewersearch" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.semantic" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.validation" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.services.viewersearch" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.viewlabelprovider" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.sync" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.tools" version="2.0.100"/>
+ <plugin name="org.eclipse.papyrus.infra.sync" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.tools" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types.core" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types.doc" version="3.0.0"/>
@@ -656,17 +700,18 @@
<plugin name="org.eclipse.papyrus.infra.types.rulebased" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.types.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.ui" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.ui.architecture" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.ui.emf" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.ui.resources" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.viewpoints.policy" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.viewpoints.policy" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.widgets" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.widgets.toolbox" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.widgets.toolbox" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.layers.documentation" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.migration.rhapsody.doc" version="0.7.0"/>
<plugin name="org.eclipse.papyrus.releng.main.release" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.req.reqif.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.sdk" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.sysml" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.sysml.architecture" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.sysml.diagram.blockdefinition" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.sysml.diagram.common" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.sysml.diagram.css" version="1.2.0"/>
@@ -684,14 +729,16 @@
<plugin name="org.eclipse.papyrus.sysml.nattable.requirement.config" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.sysml.properties" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.sysml.service.types" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.palette" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.alf" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.alf.common" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.alf.common.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.alf.common" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.alf.common.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.alf.libraries" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.alf.to.fuml" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.alf.ui" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.appearance" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.commands" version="1.2.100"/>
+ <plugin name="org.eclipse.papyrus.uml.appearance" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.architecture" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.commands" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.controlmode.profile" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.decoratormodel" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.decoratormodel.controlmode" version="1.2.0"/>
@@ -704,20 +751,17 @@
<plugin name="org.eclipse.papyrus.uml.diagram.common.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.common.groups" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.communication" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.component" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.component" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.composite" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.css" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.css.palette" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.deployment" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.dnd" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.icons" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.interactionoverview" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.linklf" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.linklf" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.menu" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.modelexplorer" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.navigation" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.edit" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.profile" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.profile.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.sequence" version="3.0.0"/>
@@ -725,12 +769,15 @@
<plugin name="org.eclipse.papyrus.uml.diagram.stereotype.edition" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols.properties" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.usecase" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.wizards" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.documentation.profile" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.extensionpoints" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.expressions" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.expressions.edit" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.expressions.properties" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.extensionpoints" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.filters" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.filters.edit" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.icons" version="1.2.0"/>
@@ -740,6 +787,8 @@
<plugin name="org.eclipse.papyrus.uml.internationalization.edit" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.uml.internationalization.tests" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.uml.internationalization.utils" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.m2m.qvto.common" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.m2m.qvto.common.blackboxes" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.uml.modelexplorer" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.modelexplorer.widgets" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.modelrepair" version="2.0.0"/>
@@ -748,9 +797,11 @@
<plugin name="org.eclipse.papyrus.uml.nattable.clazz.config" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic.config" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.matrix" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.menu" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.nattable.richtext" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.nattable.stereotype.display" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.properties" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.richtext" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable.stereotype.display" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.xtext.integration" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.xtext.valuespecification" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.navigation" version="1.2.0"/>
@@ -760,7 +811,7 @@
<plugin name="org.eclipse.papyrus.uml.profile.assistants.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.profile.assistants.generator" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.profile.assistants.generator.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.profile.drafter" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.drafter" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.profile.types.generator" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.profile.types.generator.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.properties" version="3.0.0"/>
@@ -780,13 +831,13 @@
<plugin name="org.eclipse.papyrus.uml.textedit.common.xtext.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.javaconstraint" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.message.xtext" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.message.xtext.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.parameter.xtext" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.parameter.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.port.xtext" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.port.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.port.xtext.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.property.xtext" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.property.xtext.ui" version="2.0.0"/>
@@ -794,17 +845,17 @@
<plugin name="org.eclipse.papyrus.uml.textedit.state.xtext.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.stereotypeproperty.xtext" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.stereotypeproperty.xtext.ui" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.utils" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.utils" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.tools" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.tools.utils" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.types.core" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.types.ui.properties" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.ui" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.xtext.integration.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.xtext.integration.validation" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.views.documentation" version="1.0.0"/>

Back to the top